import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
  * Vorbereitung fuer Raumplaner:
  * Einsatz von Radiobuttons
  *
  * @version 1.0 vom 13.12.2007
  * @author
  */

public class Gui extends JFrame {
  // Anfang Variablen

  // Anfang Attribute
  private JPanel jButtonGroup1Panel = new JPanel();
  private ButtonGroup jButtonGroup1 = new ButtonGroup();
  private JRadioButton jRadioButtonStuhl = new JRadioButton("Stuhl");
  private JRadioButton jRadioButtonTisch = new JRadioButton("Tisch");
  private JRadioButton jRadioButtonBett = new JRadioButton("Bett");
  private JRadioButton jRadioButtonSchrank = new JRadioButton("Schrank");
  private JRadioButton jRadioButtonSchrankwand = new JRadioButton("Schrankwand");
  private JButton jButton1 = new JButton();
  // Ende Attribute

  // Ende Variablen

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    this.setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) {
         System.exit(0);
      }
    });
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2 ;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten



    jButtonGroup1Panel.setBounds(16, 56, 185, 129);
    jButtonGroup1Panel.setLayout(new GridLayout(5, 1));
    // Stuhl
    jRadioButtonStuhl.setActionCommand("Stuhl");
    jButtonGroup1.add(jRadioButtonStuhl);
    jButtonGroup1Panel.add(jRadioButtonStuhl);
    // Tisch
    jRadioButtonTisch.setActionCommand("Tisch");
    jButtonGroup1.add(jRadioButtonTisch);
    jButtonGroup1Panel.add(jRadioButtonTisch);
    // Bett
    jRadioButtonBett.setActionCommand("Bett");
    jButtonGroup1.add(jRadioButtonBett);
    jButtonGroup1Panel.add(jRadioButtonBett);
    // Schrank
    jRadioButtonSchrank.setActionCommand("Schrank");
    jButtonGroup1.add(jRadioButtonSchrank);
    jButtonGroup1Panel.add(jRadioButtonSchrank);
    // Schrankwand
    jRadioButtonSchrankwand.setActionCommand("Schrankwand");
    jButtonGroup1.add(jRadioButtonSchrankwand);
    jButtonGroup1Panel.add(jRadioButtonSchrankwand);
    // Auswahl erzwingen
    jRadioButtonStuhl.setSelected(true);
    cp.add(jButtonGroup1Panel);

    jButton1.setBounds(16, 200, 185, 33);
    jButton1.setText("gewhlt?");
    jButton1.setMargin(new Insets(2, 2, 2, 2));
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden

  // Anfang Ereignisprozeduren
  public void jButton1ActionPerformed(ActionEvent evt) {
     ButtonModel selected = jButtonGroup1.getSelection();
     System.out.println("Der gewhlte Radiobutton ist: "+selected.getActionCommand());
  }

  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new Gui("Gui");
  }

  // Ende Methoden
}

